# studio::Widget_CanvasChooser Class Reference

`#include <widget_canvaschooser.h>`

List of all members.

## Public Member Functions

| Widget_CanvasChooser ()
| ~Widget_CanvasChooser ()
void | set_parent_canvas (synfig::Canvas::Handle x)
void | set_value (synfig::Canvas::Handle data)
const synfig::Canvas::Handle & | get_value ()

## Constructor & Destructor Documentation

Widget_CanvasChooser::Widget_CanvasChooser | ( |  | ) |

Widget_CanvasChooser::~Widget_CanvasChooser | ( |  | ) |

## Member Function Documentation

void Widget_CanvasChooser::set_parent_canvas | ( | synfig::Canvas::Handle | x | ) |

Referenced by studio::Widget_ValueBase::set_value().

void Widget_CanvasChooser::set_value | ( | synfig::Canvas::Handle | data | ) |

References _.

Referenced by studio::Widget_ValueBase::set_value().

const etl::handle< synfig::Canvas > & Widget_CanvasChooser::get_value | ( |  | ) |

Referenced by studio::Widget_ValueBase::get_value().

The documentation for this class was generated from the following files:

- widget_canvaschooser.h
- widget_canvaschooser.cpp